
Redmine - Defect #27803

Can't post a smiley face in issues description

2017-12-15 10:03 - Jēkabs Jānis Kalniņš

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.2

Description

Completed 500 Internal Server Error in 102ms (ActiveRecord: 60.4ms)

ActiveRecord::StatementInvalid (Mysql2::Error: Incorrect string value: '\xF0\x9F\x98\x8A' for colu

mn 

'description' at row 1: INSERT INTO `issues` (`project_id`, `author_id`, `start_date`, `tracker_id

`, 

`status_id`, `assigned_to_id`, `subject`, `description`, `priority_id`, `due_date`, `updated_on`, 

`created_on`,

 `lock_version`) VALUES (261, 210, '2017-12-15', 3, 1, 210, 'Labojumi lapā', ':blush:', 4, '2017-1

2-16', '2017-12-15 10:51:08', '2017-12-15 10:51:08', 0)):

 app/models/issue.rb:210:in `create_or_update'

 app/controllers/issues_controller.rb:140:in `create'

 lib/redmine/sudo_mode.rb:63:in `sudo_mode'

Environment:

Redmine version                3.3.2.stable

Ruby version                   2.3.3-p222 (2016-11-21) [x86_64-linux-gnu]

Rails version                  4.2.7.1

Environment                    production

Database adapter               Mysql2

SCM:

Git                            2.11.0

Filesystem

Redmine plugins:

add_link                       0.0.1

easy_gantt                     2016-RC1.0

periodictask                   3.1.1

redmine_custom_css             0.1.4

redmine_improved_searchbox2    0.0.3

redmine_lightbox2              0.3.1

redmine_tagging                0.1.5

redmine_theme_changer          0.2.0

redmine_xlsx_format_issue_exporter 0.1.3

Related issues:

Related to Redmine - Feature #31921: Changes to properly support 4 byte chara... Closed

History

#2 - 2017-12-15 10:11 - Jēkabs Jānis Kalniņš

This one doesn't work. To test you can try and paste it as a comment here. It doesn't save it.

https://apps.timwhitlock.info/unicode/inspect?s=%F0%9F%98%8A

#3 - 2017-12-16 03:42 - Toshi MARUYAMA

- Category deleted (Issues)

- Status changed from New to Closed

- Resolution set to Invalid

Duplicate with #27406 and many others.
https://apps.timwhitlock.info/unicode/inspect?s=%F0%9F%98%8A
https://www.redmine.org/issues/27406


#4 - 2017-12-18 13:45 - Jēkabs Jānis Kalniņš

#10772

#5 - 2019-08-17 18:29 - Marius BĂLTEANU

- Related to Feature #31921: Changes to properly support 4 byte characters (emoji) when database is MySQL added
